Module jdk.javadoc
Package com.sun.javadoc

## Interface DocErrorReporter

All Known Subinterfaces:
  RootDoc

    public interface DocErrorReporter

This interface provides error, warning and notice printing.

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `printError(SourcePosition pos, String msg)` Print an error message and increment error count.
`void` `printError(String msg)` Print error message and increment error count.
`void` `printNotice(SourcePosition pos, String msg)` Print a message.
`void` `printNotice(String msg)` Print a message.
`void` `printWarning(SourcePosition pos, String msg)` Print warning message and increment warning count.
`void` `printWarning(String msg)` Print warning message and increment warning count.

### Method Detail

#### printError

    void printError(String msg)

Print error message and increment error count.

Parameters:
  `msg` - message to print

#### printError

    void printError(SourcePosition pos,
                    String msg)

Print an error message and increment error count.

Parameters:
  `pos` - the position item where the error occurs
  `msg` - message to print
Since:
  1.4

#### printWarning

    void printWarning(String msg)

Print warning message and increment warning count.

Parameters:
  `msg` - message to print

#### printWarning

    void printWarning(SourcePosition pos,
                      String msg)

Print warning message and increment warning count.

Parameters:
  `pos` - the position item where the warning occurs
  `msg` - message to print
Since:
  1.4

#### printNotice

    void printNotice(String msg)

Print a message.

Parameters:
  `msg` - message to print

#### printNotice

    void printNotice(SourcePosition pos,
                     String msg)

Print a message.

Parameters:
  `pos` - the position item where the message occurs
  `msg` - message to print
Since:
  1.4